Compatibility with VB6 and Windows 10 Pro 20H2

%3CLINGO-SUB%20id%3D%22lingo-sub-1973908%22%20slang%3D%22en-US%22%3ECompatibility%20with%20VB6%20and%20Windows%2010%20Pro%2020H2%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1973908%22%20slang%3D%22en-US%22%3E%3CP%3E%26nbsp%3B%20%26nbsp%3B%20Hello%2C%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%20%26nbsp%3B%20VB6%20is%20supported%2C%20according%20to%26nbsp%3B%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fprevious-versions%2Fvisualstudio%2Fvisual-basic-6%2Fvisual-basic-6-support-policy%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%22%3Ehttps%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fprevious-versions%2Fvisualstudio%2Fvisual-basic-6%2Fvisual-basic-6-support-policy%3C%2FA%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%20%26nbsp%3B%20However%2C%20for%20some%20reason%20beyond%20my%20understanding%2C%20I%20cannot%20install%20the%20VB6%20runtime%20engine%20in%20Windows%2010%20Pro%2020H2%2C%20freshly%20formatted%20and%20installed%3A%20It%20fails%20when%20registering%20the%20com%20libraries.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%20%26nbsp%3B%20Does%20anyone%20have%20a%20solution%20other%20than%20downgrade%20to%20Windows%2010%201909%3F%20Any%20help%20is%20greatly%20appreciated.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%20%26nbsp%3B%20Manuel%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-1973908%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EVB6%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3EWindows%2010%2020H2%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1976620%22%20slang%3D%22en-US%22%3ERe%3A%20Compatibility%20with%20VB6%20and%20Windows%2010%20Pro%2020H2%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1976620%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F257407%22%20target%3D%22_blank%22%3E%40ManuelCota%3C%2FA%3E%26nbsp%3B%3C%2FP%3E%3CP%3ETry%20run%20it%20in%20compatibility%20mode%2C%20take%20a%20look%20at%26nbsp%3B%3CA%20href%3D%22https%3A%2F%2Fsupport.microsoft.com%2Fen-us%2Fwindows%2Fmake-older-apps-or-programs-compatible-with-windows-10-783d6dd7-b439-bdb0-0490-54eea0f45938%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%22%3EMake%20older%20apps%20or%20programs%20compatible%20with%20Windows%2010%20(microsoft.com)%3C%2FA%3E%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1980522%22%20slang%3D%22en-US%22%3ERe%3A%20Compatibility%20with%20VB6%20and%20Windows%2010%20Pro%2020H2%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1980522%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F13441%22%20target%3D%22_blank%22%3E%40Reza%20Ameri%3C%2FA%3E%26nbsp%3B%20%26nbsp%3BThank%20you%20very%20much%20for%20your%20suggestion.%20I'm%20afraid%20it%20didn't%20work.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EFunny%20stuff%20is%20that%20the%20VB6%20redistributable%20is%20not%20the%20only%20one%20that%20is%20failing.%20Also%2C%20the%20mdac%20distributable%20is%20failing%20too.%20These%20two%20are%20Microsoft's%20applications.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EIt's%20like%20they%20don't%20like%20the%20string%20with%20the%20new%20version%20of%20windows%20(some%20installers%20check%20if%20the%20version%20of%20windows%20is%20supported%20by%20querying%20the%20version%20as%20a%20string).%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI'm%20going%20to%20try%20the%20VC%2B%2B%20redistributable%2C%20in%20particular%20regarding%20the%20MFC%20support.%20Let's%20see%20if%20that%20installs%20what%2020H2%20is%20missing.%3C%2FP%3E%3C%2FLINGO-BODY%3E
New Contributor

    Hello,

 

    VB6 is supported, according to https://docs.microsoft.com/en-us/previous-versions/visualstudio/visual-basic-6/visual-basic-6-suppor...

 

    However, for some reason beyond my understanding, I cannot install the VB6 runtime engine in Windows 10 Pro 20H2, freshly formatted and installed: It fails when registering the com libraries. 

 

    Does anyone have a solution other than downgrade to Windows 10 1909? Any help is greatly appreciated.

 

    Manuel

4 Replies

@Reza_Ameri-Archived   Thank you very much for your suggestion. I'm afraid it didn't work. 

 

Funny stuff is that the VB6 redistributable is not the only one that is failing. Also, the mdac distributable is failing too. These two are Microsoft's applications. 

 

It's like they don't like the string with the new version of windows (some installers check if the version of windows is supported by querying the version as a string).

 

I'm going to try the VC++ redistributable, in particular regarding the MFC support. Let's see if that installs what 20H2 is missing.

@ManuelCota 

This is old version of VB , however I would recommend you to open start and search for feedback and open Feedback Hub app and report this issue.

@Reza_Ameri-Archived   Thanks for your suggestion. I did what you suggest:

 * It works on Windows 1903 but,

 * It DOES NOT WORK in Windows 20H2

 

    Funniest thing is that, if I install it in Windows 1903 and then upgrade to 20H2, everything works.